'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _UnstagedChangesError = require('./UnstagedChangesError');

var _UnstagedChangesError2 = _interopRequireDefault(_UnstagedChangesError);

var _DateInvalidError = require('./DateInvalidError');

var _DateInvalidError2 = _interopRequireDefault(_DateInvalidError);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (err) {
  if (!err || !err.message) {
    throw new Error('Something went wrong');
  } else if (err.message === 'DATE_INVALID') {
    throw new _DateInvalidError2.default(err);
  } else if (err.message.toLowerCase().indexOf('unstaged changes') > -1) {
    throw new _UnstagedChangesError2.default(err);
  } else {
    throw err;
  }
};